.banner {
	&__date {
		font-size: 16px;
		font-weight: bold;
		letter-spacing: 0.01em;
		@include rfonts(16,16,14,14);
	}
	&__event {
		font-size: 18px;
		margin-bottom: 25px;
		letter-spacing: 0.01em;
		@include rfonts(18,18,16,16);
	}
	&__title {
		font-weight: bold;
		font-size: 28px;
		margin-bottom: 26px;
		letter-spacing: 0.01em;
		@include rfonts(28,24,24,18);
	}
	&__inner {		
		border-radius: 8px;
		overflow: hidden;
		> .container {
			z-index: 3;
		}
	}
	&__content {
		display: flex;
		justify-content: space-between;
	}
	&__img {
		@extend .col-md-5;
		padding: 0;
		flex-shrink: 0;
		max-width: 400px;
		@include sm {
			position: absolute;
			left: 0;
			width: 100%;
			height: 100%;
			top: 0;
			z-index: 1;
			opacity: .2;
			max-width: 100%;
		}

		img {
			width: 100%;
			height: 100%;
			object-fit: cover;
			object-position: center;
		}
	}
	&__main-content {
		@extend .col-md-7;
		padding: 50px 0 50px 80px;
		padding-right: 0;
		min-height: 100%;
		background: url(../img/content/banner-mask.png) left center no-repeat;
		background-size: cover;
		z-index: 2;
		@include lg {
			padding: 40px 50px;
		}
		@include sm {
			padding: 35px 45px;
			background-size: auto 140%;
			background-image: none;
		}
		@include xs {
			padding: 30px 30px;
			background-size: auto 100%;
		}
	}
	&__full-img {
		position: absolute;
		// right: 100px;
		left: calc(50% - 100px);
		top: 0;
		height: 100%;
		width: 700px;
		opacity: 0.4;
		img {
			z-index: 0;
			width: 100%;
			height: 100%;
			object-fit: cover;
		}
		&:before {
			content: '';
			display: block;
			position: absolute;
			left: 0;
			top: 0;
			right: 0;
			bottom: 0;
			z-index: 1;
			background: linear-gradient(270deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 50%, rgba(255,255,255,1) 100%, rgba(255,255,255,1) 100%);
		}
	}

	.button--dots {
		@media screen and (max-width: 378px) {
            width: 100%;
            padding-right: 34px;
            text-align: center;
            &::after {
                content: none;
            }
		}
	}

	&:not(.banner--colorize) {
		.banner__full-img {
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			opacity: 1;
			&:before {
				display: none;
			}
		}
	}
}

.section-banner {
	@include sm {
		padding: 40px 0px;
		.section-intro + & {
			padding-top: 60px;
		}
	}
	@include xs {
		padding: 30px 0px;
		.section-intro + & {
			padding-top: 60px;
		}
	}
	&--light {
		background-color: transparent !important;
		.banner__inner {
			background-color: $bg-light;
		}
		.banner__full-img:before {
			background: linear-gradient(270deg, rgba(247,247,247,1) 0%, rgba(247,247,247,0) 50%, rgba(247,247,247,1) 100%, rgba(247,247,247,1) 100%); /* w3c */
		}
	}
	&--dark {
		background-color: transparent !important;
		.banner__inner {
			background-color: $bg-dark;
		}
		.banner__main-content {
			background: none;
		}
		.banner__full-img:before {
			background: linear-gradient(270deg, rgba(105,78,178,1) 0%, rgba(105,78,178,0) 50%, rgba(105,78,178,1) 100%, rgba(105,78,178,1) 100%); /* w3c */
		}
	}
	&.banner--full {
		padding: 0;
		@include xs {
			text-align: center;
		}
		.banner__inner {
			background-image: url('../img/content/banner-mask-full.svg');
			background-repeat: no-repeat;
			background-size: cover;
			border-radius: 0;
		}
		.banner__main-content {
			@extend .col-auto;
			background: none;
			padding: 66px 0 70px;
			@include sm {
				padding: 50px 0px;
			}
		}
		.banner__date {
			font-size: 18px;
			@include rfonts(18,18,16,16);
		}
		.banner__event {
			font-size: 20px;
			margin-bottom: 35px;
			@include rfonts(20,18,18,18);
		}
		.banner__title {
			font-size: 36px;
			font-weight: 800;
			@include rfonts(36,32,26,20);
		}
	}
}